Skip to content
body
Ruby
Find file
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Failed to load latest commit information.
lib
test
.document
.gitignore
COPYING
GPL
Gemfile
Gemfile.lock
KNOWN_ISSUES.rdoc
LICENSE.txt
README.rdoc
README_DEV.rdoc
RELEASE_NOTES.rdoc
Rakefile
body.gemspec

README.rdoc

README.rdoc - README for skeleton

Copyright

Copyright (C) 2011 Sebastian Wallin, Johan Brissmyr, Johan Gyllenspetz, Joel Larsson <contact@popdevelop.com>

License

The Ruby License

  • The above statement is limited to this file. See below about Skeleton's copyright and license.

++

Skeleton

Copyright (C) 2011 Sebastian Wallin, Johan Brissmyr, Johan Gyllenspetz, Joel Larsson <contact@popdevelop.com>

Skeleton is an open source Ruby library for developing…

FOR MORE INFORMATION

Documents in this distribution

General information

README.rdoc

This file. General information and installation procedure.

RELEASE_NOTES.rdoc

News and important changes in this release.

Issues are tracked on github at github.com/popdevelop/skeleton

Tutorials, Examples and other useful information

examples/

Examples directory

skeleton development

README_DEV.rdoc

Information for developers that want to contribute to the project, including coding styles and documentation guidelines.

websites

Authors website, day to day blog posts from our team

Github, here you will find links to related resources including downloads, issue tracking, documentation etc.

git

If you need the latest development version, this is provided at

and can be obtained by the following procedure:

% git clone git://github.com/podevelop/skeleton.git

REQUIREMENTS

  • Ruby 1.8.6 or later (except Ruby 1.9.0) – www.ruby-lang.org/

    • Ruby 1.8.7-p352 or later is recommended.

INSTALL

INSTALL by using RubyGems (recommended)

gem install skeleton

INSTALL without RubyGems

USAGE

You can load all skeleton classes just by requiring 'skeleton.rb'. All the skeleton classes and modules are located under the module name 'skeleton' to separate the name space.

#!/usr/bin/env ruby
require 'skeleton'

You can also read other documentation in the 'doc' directory.

doc/

RubyGems on Ruby 1.8.x

With RubyGems on Ruby 1.8.x, you may need to load 'rubygems' library before using 'skeleton'. This may not be needed, depending on settings of Ruby.

#!/usr/bin/env ruby
require 'rubygems'
require 'skeleton'

LICENSE

skeleton can be freely distributed under the same terms as Ruby. See the file COPYING.

CONTACT

Current staff of the skeleton project can be reached by sending e-mail to <contact@popdevelop.com>.

Something went wrong with that request. Please try again.